/**
 * @author Rémi Heredero (remi@heredero.ch)
 * @version. 1.0.0
 * @date 2023-06-15
 */

#ifndef LED_H
#define LED_H

#include <stdint.h>

// LED struct
typedef struct {
    uint8_t id; // The id of the LED
}LED;

/**
 * Initialize the led
 * @param me the led itself
 * @param id the id of the led
 */
void LED_init(LED* me, uint8_t id);

/**
 * Initializing the led
 * @param me the led itself
 */
void LED_initHW(LED* me);

/**
 * Turn On the led 
 * @param me the led itself
 */
void LED_on(void* me);

/**
 * Turn Off the led 
 * @param me the led itself
 */
void LED_off(void* me);

#endif	/* LED_H */

